<?php

/**
 * Settings mode enum.
 *
 * @package northmill-online-shared
 */
declare (strict_types=1);
namespace Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Data\Payment_Methods\Enums;

defined('ABSPATH') || exit;
/**
 * Class Settings_Mode
 */
enum Settings_Mode : string
{
    case INTEGRATION = 'integration';
    case PRODUCTION = 'production';
    /**
     * Get title.
     *
     * @return string
     */
    public function get_title(): string
    {
        return match ($this) {
            self::INTEGRATION => __('Integration', 'northmill-online-shared'),
            self::PRODUCTION => __('Production', 'northmill-online-shared'),
        };
    }
}
